﻿* Encoding: UTF-8.

*Run this code on a copy of the full original AVS 2021
    
*Rename several variables before saving them.

RENAME VARIABLES 
    relig=religion13.

RENAME VARIABLES 
    RELIG2=EvanChristian.

RENAME VARIABLES 
    ppage=age.

RENAME VARIABLES 
    ppethm=race.

RENAME VARIABLES 
    ppgender=gender.

RENAME VARIABLES 
    ppinc7=income7.

RENAME VARIABLES 
    xparty4=partyID.

RENAME VARIABLES 
    ppeducat=educ4.




*Coding to variables added to the SPSS 3 dataset, including some not used in the 
    assignment--same code will be used for SPSS 4 and beyond. 
   

*QAnonDVs. 
       RECODE Q34_b (SYSMIS=SYSMIS) (-1=SYSMIS) (4=0) (ELSE=1)  INTO QanonNoReject2.
            VARIABLE LABELS  QanonNoReject2 "R. Doesn't completely disagree with QAnon theory".
            EXECUTE.
                VALUE LABELS QanonNoReject2
                0 "Completely disagree"
                1  "Doesn't completely disagree with QAnon theory"
                .
                EXECUTE.               
   
   
        RECODE Q34_b (SYSMIS=SYSMIS) (-1=SYSMIS) (4=1) (3=2) (2=3) (1=4) INTO QanonAgree4.
        VARIABLE LABELS  QanonAgree4 'Level of agreement Qanon conspiracy, 4 level'.
        EXECUTE.
            VALUE LABELS QanonAgree4
            1 "Completely disagree"
            2 "Mostly disagree"
            3 "Mostly agree"
            4 "Completely agree"
            .
            EXECUTE.     

*Republican Dem dummy variables.

      COMPUTE Republican = 0.
              IF partyID = 1  Republican  = 1. 
              IF partyID > 8 Republican  = $SYSMIS.
            VARIABLE LABELS Republican "Republican".
            VALUE LABELS Republican
              0 "Not a Republican"
              1 "Republican"
            .
            EXECUTE.

     COMPUTE Democrat = 0.
              IF partyID = 2  Democrat  = 1. 
              IF partyID > 8 Democrat  = $SYSMIS.
            VARIABLE LABELS Democrat "Democrat".
            VALUE LABELS Democrat
              0 "Not a Democrat"
              1 "Democrat"
            .
            EXECUTE.

    COMPUTE NotDemOrRep = 0.
              IF Democrat = 1 OR Republican  = 1  NotDemOrRep = 1. 
              IF partyID > 8     NotDemOrRep  = $SYSMIS.
            VARIABLE LABELS NotDemOrRep "Neither a Democrat or Republican".
            VALUE LABELS NotDemOrRep
              0 "Neither a Democrat or Republican"
              1 "Is a Democrat or Republican"
            .
            EXECUTE.
       

*Create a dummy variable for Male respondents.
       
       CODEBOOK gender. 
       COMPUTE Male = $SYSMIS.
              IF gender = 1 Male  = 1. 
              IF gender > 1 Male  = 0.
            VARIABLE LABELS Male "R. is male".
            VALUE LABELS Male
              0 "Female"
              1 "Male"
            .
            EXECUTE.       
        
        DESCRIPTIVES VARIABLES=Male
          /STATISTICS=MEAN STDDEV MIN MAX.

    *EvanProt dummy, includes Jehovah's Witness, Mormon, and generic Christians
    
    COMPUTE EvanProt= 0.
              IF (EvanChristian = 1 AND religion13  = 2) EvanProt = 1.  
              IF (EvanChristian = 1 AND religion13  = 3) EvanProt = 1. 
              IF (EvanChristian = 1 AND religion13  = 4) EvanProt = 1. 
              IF (EvanChristian = 1 AND religion13  = 11) EvanProt = 1.
            VARIABLE LABELS EvanProt "Evangelical Protestant".
            VALUE LABELS EvanProt
              1 "Evangelical Protestant"
              0 "Not an Evangelical Protestant"
            .
            EXECUTE.    
    
    
*AmericaWorseThan50YrsAgo.

    Compute AmericaWorseThan50YrsAgo = 0.
         IF Q4 = 2   AmericaWorseThan50YrsAgo = 1. 
         IF Q4 = -1   AmericaWorseThan50YrsAgo = $SYSMIS.
            VARIABLE LABELS AmericaWorseThan50YrsAgo "Since the 1950s, American culture and way of life has mostly changed for the worse".
            VALUE LABELS AmericaWorseThan50YrsAgo
              1 "American way of life changed for worse"
              0 "American life is better"
            .
            EXECUTE.
        

*GodGivesUSspecialRole4 reverse code original, deal with non-response.

     COMPUTE GodGivesUSspecialRole4 = 5 - Q11_b.
            IF Q11_b = -1    GodGivesUSspecialRole4 = $SYSMIS. 
            VARIABLE LABELS GodGivesUSspecialRole4 
                 "God has granted America a special role in human history?"
                  .
                 EXECUTE.				
            VALUE LABELS GodGivesUSspecialRole4
                1 "Completely disagree"
                2 "Mostly disagree"
                3 "Mostly agree"
                4 "Completely agree"
                .
                 EXECUTE.
        
*USlosingCultureAndIdentity - 4 reverse code original, deal with non-response.

     COMPUTE USlosingCultureAndIdentity = 5 -Q11_e.
            IF Q11_e = -1    USlosingCultureAndIdentity = $SYSMIS. 
            VARIABLE LABELS USlosingCultureAndIdentity 
                 "Today, America is in danger of losing its culture and identity?"
                  .
                 EXECUTE.				
            VALUE LABELS USlosingCultureAndIdentity
                1 "Completely disagree"
                2 "Mostly disagree"
                3 "Mostly agree"
                4 "Completely agree"
                .
                 EXECUTE.
        

*Recode to remove missing data: PreferUSofWesternHeritage10pt.
RECODE Q8_4 (SYSMIS=SYSMIS) (-1=SYSMIS) (ELSE=Copy) INTO PreferUSofWesternHeritage10pt.
VARIABLE LABELS  PreferUSofWesternHeritage10pt 'Prefers US to be primarily made up of people of '+
    'west. herit., 1 - 10'.
EXECUTE.
VALUE LABELS PreferUSofWesternHeritage10pt
    1 "I would prefer the U.S. to be a nation made up of people from all over the world"
    10 "I would prefer the U.S. to be a nation primarily made up of people from western European heritage."
    .
EXECUTE.


*Recode to remove missing data: PreferUSofChristians10pt.
RECODE Q9_13 (SYSMIS=SYSMIS) (-1=SYSMIS) (ELSE=Copy) INTO PreferUSofChristians10pt.
VARIABLE LABELS  PreferUSofChristians10pt 'Prefence for an America made up of Christians? 10-point scale'.
EXECUTE.
VALUE LABELS PreferUSofChristians10pt
    1 "I would prefer the U.S. to be a nation made up of people belonging to a wide variety of religions."
    10 "I would prefer the U.S. to be a nation primarily made up of people who follow the Christian faith."
    .
EXECUTE.


*MayNeedPatrioticViolence4 reverse code original, deal with non-response.

     COMPUTE MayNeedPatrioticViolence4 = 5 - Q34_d.
            IF Q34_d = -1    MayNeedPatrioticViolence4 = $SYSMIS. 
            VARIABLE LABELS MayNeedPatrioticViolence4 
                 "Because things have gotten so far off track, true American patriots may have to resort to violence in order to save our country?, 4-level"
                  .
                 EXECUTE.				
            VALUE LABELS MayNeedPatrioticViolence4
                1 "Completely disagree"
                2 "Mostly disagree"
                3 "Mostly agree"
                4 "Completely agree"
                .
                 EXECUTE.

      *MayNeedViolence2.
    Compute MayNeedViolence2 =  $SYSMIS.
             IF MayNeedPatrioticViolence4 = 1   MayNeedViolence2 = 0. 
             IF MayNeedPatrioticViolence4 > 1   MayNeedViolence2 =  1.
            VARIABLE LABELS MayNeedViolence2 "Because things have gotten so far off track, true American patriots may have to resort to violence in order to save our country?".
                VALUE LABELS MayNeedViolence2
                  1 "Does not completely disagree"
                  0 "Completely disagree"
                  .
                EXECUTE.
                


*CollegeIsAGamble.

    COMPUTE CollegeIsAGamble = 0.
         IF Q14 = 2   CollegeIsAGamble = 1. 
         IF Q14 = -1   CollegeIsAGamble = $SYSMIS.
            VARIABLE LABELS CollegeIsAGamble "College education: Smart investment or a gamble that may not pay off?".
            VALUE LABELS CollegeIsAGamble
              1 "More of a gamble"
              0 "Smart investment"
            .
            EXECUTE.
        
codebook Q15_b.

*Next generaion will be better off than yours.
    COMPUTE NextGenWillBeBetterOff = 0.
         IF Q15_b = 2   NextGenWillBeBetterOff = 1. 
         IF Q15_b = -1   NextGenWillBeBetterOff = $SYSMIS.
            VARIABLE LABELS NextGenWillBeBetterOff "Will the next generation be better off than mine?".
            VALUE LABELS NextGenWillBeBetterOff
              1 "Next generation will be better off than mine"
              0 "My generation is better off than next will be"
            .
            EXECUTE.
        

*IMPORTANT-- TURN ON AND OFF THE CODE BELOW TO MATCH THE ASSIGNMENT!


*FOR SPSS 4, we'll drop most of the variables that the asssignment doesn't need, including some just created. 
*Check the desination folder. 

SORT CASES BY 
Respid
kp_weight
Q1_a
Q2_c
Q3_a
Q4
Q5_a
Q8_4
Q9_13
Q11_a
Q11_b
Q11_d
Q11_e
Q13
Q14
Q15_a
Q15_b
Q17
Q19
Q28
Q31
Q33_c
Q34_a
Q34_b
Q34_c
Q34_d
religion13
EvanProt
attend
age
race
gender
Male
educ4
income7
partyID
Republican
Democrat
NotDemOrRep
MyPoliticalIDentityIsImportant5
MyReligiousIDisImportant5
MyEthnicIDisImportant5
AmericaForceForGood4
GodGivesUSspecialRole
AmericaWorseThan50YrsAgo
NextGenWillBeBetterOff
USlosingCultureAndIdentity
GodGivesUSspecialRole4
CollegeIsAGamble
MayNeedPatrioticViolence4
MayNeedViolence2
QanonNoReject2
QanonAgree4
PreferUSofWesternHeritage10pt
PreferUSofChristians10pt
.

frequencies Q38_b.
codebook Q38_b.
COMPUTE MyPoliticalIDentityIsImportant5 = 6-Q38_b.
IF Q38_b = -1 MyPoliticalIDentityIsImportant5 = $SYSMIS.
IF MISSING(Q38_b)  MyPoliticalIDentityIsImportant5 = $SYSMIS.
VARIABLE LABELS MyPoliticalIDentityIsImportant5 "Importance of your political identity to your personal identity".
VALUE LABELS MyPoliticalIDentityIsImportant5
5 "The most important thing"
4 "Very important"
3 "Somewhat important"
2 "Not too important"
1 "Not at all important"
.
frequencies MyPoliticalIDentityIsImportant5.

frequencies Q38_a.
codebook Q38_a.
COMPUTE MyReligiousIDisImportant5 = 6-Q38_a.
IF Q38_a = -1 MyReligiousIDisImportant5 = $SYSMIS.
IF MISSING(Q38_a)  MyReligiousIDisImportant5 = $SYSMIS.
VARIABLE LABELS MyReligiousIDisImportant5 "Importance of your religious identity to your personal identity".
VALUE LABELS MyReligiousIDisImportant5
5 "The most important thing"
4 "Very important"
3 "Somewhat important"
2 "Not too important"
1 "Not at all important"
.
frequencies MyReligiousIDisImportant5.


frequencies Q38_c.
codebook Q38_c.
COMPUTE MyEthnicIDisImportant5 = 6-Q38_c.
IF Q38_c = -1 MyEthnicIDisImportant5 = $SYSMIS.
IF MISSING(Q38_c)  MyEthnicIDisImportant5 = $SYSMIS.
VARIABLE LABELS MyEthnicIDisImportant5 "Importance of your Ethnic or ethnic identity to your personal identity".
VALUE LABELS MyEthnicIDisImportant5
5 "The most important thing"
4 "Very important"
3 "Somewhat important"
2 "Not too important"
1 "Not at all important"
.
frequencies MyEthnicIDisImportant5.




frequencies Q11_a.
codebook Q11_a.
COMPUTE AmericaForceForGood4 = 5-Q11_a.
IF Q11_a = -1 AmericaForceForGood4 = $SYSMIS.
IF MISSING(Q11_a)  AmericaForceForGood4 = $SYSMIS.
VARIABLE LABELS AmericaForceForGood4 "Agreement level: America has always been a force for good in the world".
VALUE LABELS AmericaForceForGood4
4 "Completely agree"
3 "Mostly agree"
2 "Mostly disagree"
1 "Completely disagree"
.
frequencies AmericaForceForGood4.


frequencies Q11_b.
codebook Q11_b.
COMPUTE GodGivesUSspecialRole = 5-Q11_b.
IF Q11_b = -1 GodGivesUSspecialRole = $SYSMIS.
IF MISSING(Q11_b)  GodGivesUSspecialRole = $SYSMIS.
VARIABLE LABELS GodGivesUSspecialRole "Agreement level: God has granted America a special role in human history".
VALUE LABELS GodGivesUSspecialRole
4 "Completely agree"
3 "Mostly agree"
2 "Mostly disagree"
1 "Completely disagree"
.
frequencies GodGivesUSspecialRole.


*FOR SPSS 4 and beyond, more of the dataset is used. 

*Check the desination folder. 
SAVE OUTFILE='C:\Users\msetz\My Drive\SetzlerWebsite\public_html\ResearchMethods\PPTs\SPSS materials\SPSS 4 practice, chi-sq, correlation\small version.AVS 2021 for PSC2019 SPSS 4 and beyond.sav'
  /keep = 
Respid
kp_weight
religion13
EvanProt
attend
age
race
gender
Male
educ4
income7
partyID
Republican
Democrat
NotDemOrRep
MyPoliticalIDentityIsImportant5
MyReligiousIDisImportant5
MyEthnicIDisImportant5
AmericaForceForGood4
GodGivesUSspecialRole
AmericaWorseThan50YrsAgo
NextGenWillBeBetterOff
USlosingCultureAndIdentity
GodGivesUSspecialRole4
CollegeIsAGamble
MayNeedPatrioticViolence4
MayNeedViolence2
QanonNoReject2
QanonAgree4
PreferUSofWesternHeritage10pt
PreferUSofChristians10pt
 /COMPRESSED.




